# List recipient accounts

Fetch a list of the user's recipient accounts. Use the profileId parameter to filter by the profile who created the accounts, you should do this based on the personal or business profile ID you have linked to, based on your use case. Other filters are listed below for your convenience, for example currency is a useful filter to use when presenting the user a list of recipients to choose from in the case they have already submitted the target currency in your flow.

#### Pagination
Pagination is supported for this endpoint. The response includes the seekPositionForNext and size parameters to manage this.

It works by setting size and seekPosition parameters in the call. Set the value in the seekPositionForNext of the previous response into the seekPosition parameter of your subsequent call in order to get the next page. To get the current page again, use the seekPositionForCurrent value.

#### Sorting
You can also set the sort parameter to control the sorting of the response, for example:

?sort=id,asc sort by id ascending.
?sort=id,desc sort by id descending.
?sort=currency,asc sort by currency ascending.

All query parameters are optional.

Endpoint: GET /v2/accounts
Security: UserToken

## Query parameters:

  - `creatorId` (integer)
    Creator of the account.

  - `profileId` (integer)
    Filter by personal or business profile. Defaults to the personal profile.

  - `profile` (integer)
    Alias for profileId.

  - `currency` (string)
    Filter responses by currency. Comma separated values supported (e.g. USD,GBP).

  - `active` (boolean)
    Filter by whether this profile is active. Defaults to true.

  - `type` (string)
    Filter responses by account type. Comma separated values supported (e.g. iban,swift_code).

  - `ownedByCustomer` (boolean)
    Filter to get accounts owned by the customer or not. Leave out to get all accounts.

  - `size` (integer)
    Page size of the response. Defaults to a maximum of 20.

  - `seekPosition` (integer,null)
    Account ID to start the page of responses from. null if no more pages.

  - `sort` (string)
    Sorting strategy for the response. Comma separated options - firstly either id or currency, followed by asc or desc for direction.
    Example: "id,asc"

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

## Response 200 fields (application/json):

  - `content` (array)
    List of recipient accounts returned for this page.

  - `content.id` (integer)
    ID of the recipient. Use the returned id as sourceAccount to specify the refund recipient when creating transfers.
    Example: 40000000

  - `content.creatorId` (integer)
    Account entity that owns the recipient account.
    Example: 41000000

  - `content.profileId` (integer)
    Specific profile that owns the recipient account.
    Example: 30000000

  - `content.name` (object)
    Recipient name details.

  - `content.name.fullName` (string)
    Recipient full name.
    Example: "John Doe"

  - `content.name.givenName` (string,null)
    Recipient first name.

  - `content.name.familyName` (string,null)
    Recipient surname.

  - `content.name.middleName` (string,null)
    Recipient middle name.

  - `content.name.patronymicName` (string,null)
    Recipient patronymic name (when applicable).

  - `content.name.cannotHavePatronymicName` (boolean,null)
    Indicates if the recipient cannot have a patronymic name (when applicable).

  - `content.currency` (string)
    3 character currency code.
    Example: "GBP"

  - `content.country` (string)
    2 character country code.
    Example: "GB"

  - `content.type` (string)
    Recipient type.
    Example: "SortCode"

  - `content.legalEntityType` (string)
    Entity type of recipient.
    Example: "PERSON"

  - `content.active` (boolean)
    Status of the recipient.
    Example: true

  - `content.details` (object)
    Account details (currency/type-specific). The keys present vary by currency route and recipient type (e.g., sort code, IBAN, SWIFT, email).

  - `content.details.reference` (string,null)
    Recipient reference (present for some routes).

  - `content.details.sortCode` (string)
    Recipient bank sort code (GBP example).
    Example: "040075"

  - `content.details.accountNumber` (string)
    Recipient bank account number (GBP example).
    Example: "37778842"

  - `content.details.hashedByLooseHashAlgorithm` (string)
    Recipient account hash.
    Example: "ad245621b974efa3ef870895c3wer419a3f01af18a8a5790b47645dba6304194"

  - `content.commonFieldMap` (object)
    Map of key lookup fields on the account.
    Example: {"accountNumberField":"accountNumber","bankCodeField":"sortCode"}

  - `content.hash` (string)
    Account hash for change tracking.
    Example: "666ef880f8aa6113fa112ba6531d3ed2c26dd9fgbd7de5136bfb827a6e800479"

  - `content.accountSummary` (string)
    Summary of account details for ease of lookup.
    Example: "(04-00-75) 37778842"

  - `content.longAccountSummary` (string)
    Account details summary.
    Example: "GBP account ending in 8842"

  - `content.displayFields` (array)
    Lookup fields (key/label/value) for rendering a UI.
    Example: [{"key":"details/sortCode","label":"UK sort code","value":"04-00-75"},{"key":"details/accountNumber","label":"Account number","value":"37778842"}]

  - `content.displayFields.key` (string)
    Account identifier key name.

  - `content.displayFields.label` (string)
    Account identifier display label.

  - `content.displayFields.value` (string)
    Account identifier value.

  - `content.isInternal` (boolean)
    Indicates whether recipient is internal.

  - `content.ownedByCustomer` (boolean)
    If recipient account belongs to profile owner.

  - `content.confirmations` (object)
    Verification results for the recipient's details. Only populated for currencies with recipient verification enabled (CNY, KRW, INR, IDR, EUR). See the [Recipient verification guides](/guides/product/send-money/recipient-verification) for how to handle these.

  - `content.confirmations.acceptedOutcomes` (boolean)
    Whether we've received an explicit customer acceptance.

  - `content.confirmations.acceptedAt` (string,null)
    Timestamp indicating time of outcome acceptance, null if has not been accepted.

  - `content.confirmations.quoteId` (string,null)
    If the confirmation check was run as part of a quote compatibility check, then the quoteId will be on the result. If quoteId is present, then the outcome acceptance will need the quoteId to be specified as well.

  - `content.confirmations.outcomes` (array)
    Array of confirmation outcomes. At the moment it is safe to assume that there is only one element in the outcomes list.

  - `content.confirmations.outcomes.type` (string)
    The type of confirmation. Possible values: ACCOUNT_EXISTENCE, NAME_MATCHING, NAME_RESOLUTION.
    Example: "NAME_MATCHING"

  - `content.confirmations.outcomes.timestamp` (string)
    Timestamp of when the confirmation check was performed.
    Example: "2024-11-11T23:58:11.105916743Z"

  - `content.confirmations.outcomes.outcome` (string)
    The actual outcome of the confirmation. Possible values: SUCCESS, PARTIAL_FAILURE, FAILURE, COULD_NOT_CHECK.
    Example: "PARTIAL_FAILURE"

  - `content.confirmations.outcomes.requiresCustomerAcceptance` (boolean)
    Whether we require customer acceptance. Whether this value is true or false is dependent on the currency and the nature of the confirmation.
    Example: true

  - `content.confirmations.outcomes.fieldsChecked` (array)
    Fields we used to confirm the account.
    Example: ["name/fullName","details/accountNumber"]

  - `content.confirmations.outcomes.providedName` (string)
    The name that the customer provided when creating the recipient account. Only populated for NAME_MATCHING and NAME_RESOLUTION types for certain outcomes.
    Example: "John Doe"

  - `content.confirmations.outcomes.resolvedName` (string)
    The name that we resolved during name matching or name resolution.
    Example: "Joe Doe"

  - `content.confirmations.outcomes.message` (string)
    Customer facing message about the outcome of the check.
    Example: "The name entered is slightly different to the name on the account."

  - `content.confirmations.outcomes.recommendedUpdates` (array)
    Shows what are the correct values for some of the fields we've checked.

  - `content.confirmations.outcomes.recommendedUpdates.path` (string)
    The field path to update.
    Example: "name/fullName"

  - `content.confirmations.outcomes.recommendedUpdates.value` (string)
    The recommended value for the field.
    Example: "Joe Doe"

  - `seekPositionForNext` (integer)
    Seek position for the next page (use as seekPosition to fetch the next page).

  - `seekPositionForCurrent` (integer)
    Seek position for the current page.

  - `sort` (object)
    Sort metadata.

  - `sort.empty` (boolean)

  - `sort.sorted` (boolean)

  - `sort.unsorted` (boolean)

  - `size` (integer)
    Page size returned.
    Example: 20


## Response 401 fields

## Response 403 fields
